

# DeleteFormType
<a name="API_DeleteFormType"></a>

Deletes and metadata form type in Amazon DataZone.

Prerequisites:
+ The form type must exist in the domain. 
+ The form type must not be in use by any asset types or assets.
+ The domain must be valid and accessible.
+ User must have delete permissions on the form type.
+ Any dependencies (such as linked asset types) must be removed first.

## Request Syntax
<a name="API_DeleteFormType_RequestSyntax"></a>

```
DELETE /v2/domains/domainIdentifier/form-types/formTypeIdentifier HTTP/1.1
```

## URI Request Parameters
<a name="API_DeleteFormType_RequestParameters"></a>

The request uses the following URI parameters.

 ** [domainIdentifier](#API_DeleteFormType_RequestSyntax) **   <a name="datazone-DeleteFormType-request-uri-domainIdentifier"></a>
The ID of the Amazon DataZone domain in which the metadata form type is deleted.  
Pattern: `dzd[-_][a-zA-Z0-9_-]{1,36}`   
Required: Yes

 ** [formTypeIdentifier](#API_DeleteFormType_RequestSyntax) **   <a name="datazone-DeleteFormType-request-uri-formTypeIdentifier"></a>
The ID of the metadata form type that is deleted.  
Length Constraints: Minimum length of 1. Maximum length of 385.  
Pattern: `(?!\.)[\w\.]*\w`   
Required: Yes

## Request Body
<a name="API_DeleteFormType_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DeleteFormType_ResponseSyntax"></a>

```
HTTP/1.1 204
```

## Response Elements
<a name="API_DeleteFormType_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 204 response with an empty HTTP body.

## Errors
<a name="API_DeleteFormType_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
There is a conflict while performing this action.  
HTTP Status Code: 409

 ** InternalServerException **   
The request has failed because of an unknown error, exception or failure.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource cannot be found.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** UnauthorizedException **   
You do not have permission to perform this action.  
HTTP Status Code: 401

 ** ValidationException **   
The input fails to satisfy the constraints specified by the AWS service.  
HTTP Status Code: 400

## Examples
<a name="API_DeleteFormType_Examples"></a>

### Example
<a name="API_DeleteFormType_Example_1"></a>

This example illustrates one usage of DeleteFormType.

#### Sample Request
<a name="API_DeleteFormType_Example_1_Request"></a>

```
aws datazone delete-form-type \
--domain-identifier "dzd_53ielnpxktdilj" \
--form-type-identifier "CustomerPreferencesFormType"
```

### Example
<a name="API_DeleteFormType_Example_2"></a>

Failure case - missing parameter:

#### Sample Request
<a name="API_DeleteFormType_Example_2_Request"></a>

```
aws datazone delete-form-type \
--domain-identifier "dzd_53ielnpxktdilj"
```

#### Sample Response
<a name="API_DeleteFormType_Example_2_Response"></a>

```
aws: error: the following arguments are required: —form-type-identifier
```

### Example
<a name="API_DeleteFormType_Example_3"></a>

Failure case - resource does not exist:

#### Sample Request
<a name="API_DeleteFormType_Example_3_Request"></a>

```
aws datazone delete-form-type \
--domain-identifier "dzd_53ielnpxktdilj" \
--form-type-identifier "NonExistentFormType"
```

#### Sample Response
<a name="API_DeleteFormType_Example_3_Response"></a>

```
An error occurred (ResourceNotFoundException) when calling the DeleteFormType operation: Requested FormType cannot be found in domain
```

## See Also
<a name="API_DeleteFormType_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/datazone-2018-05-10/DeleteFormType) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/datazone-2018-05-10/DeleteFormType) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/datazone-2018-05-10/DeleteFormType) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/datazone-2018-05-10/DeleteFormType) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/datazone-2018-05-10/DeleteFormType) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/datazone-2018-05-10/DeleteFormType) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/datazone-2018-05-10/DeleteFormType) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/datazone-2018-05-10/DeleteFormType) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/datazone-2018-05-10/DeleteFormType) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/datazone-2018-05-10/DeleteFormType) 